/********************************************************************************************************
*
* File                : DS18B20.c
* Hardware Environment:	DVK501 && F020+ EX
* Build Environment   : Silicon LABs 3.42.00 20100913
* Version             : 
* By                  : Su Wei Feng
*
*                                  (c) Copyright 2005-2010, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#define _DVK501_F020_EX_

#include <c8051f020.h>
#include <../../../library/ws_clock.h>
#include <../../../library/ws_delay.h>
#include <../../../library/ws_ds18b20.h>
#include <../../../library/ws_lcd_st7920_port.h>

void main(void)
{
	uchar tmp;
	WDTCN = 0xde;      // Disable watchdog timer
    WDTCN = 0xad;	
	XBR2 = 0x40;
   	clock_external();			// Set oscillator in external,the clock is 12M
	delay_ms(100);
	SPI_Init();
	st7920LcdInit();
	
	showLine(0,0,lcd_buffer,"DS18B20");
	showLine(0,1,lcd_buffer,"temperature measurement");
	showLine(0,3,lcd_buffer,"TEMP  ");
	refreshLCD(lcd_buffer);

	while(1)
	{
		tmp = readTemp();
		showLine(6,3,lcd_buffer,"%d2",readTemp());
		refreshLCD(lcd_buffer); 
		delay_ms(1000);
	}
}