/********************************************************************************************************
*
* File                : PCF8591.c
* Hardware Environment:	DVK501 && F020+ EX
* Build Environment   : Silicon LABs 3.42.00 20100913
* Version             : 
* By                  : Su Wei Feng
*
*                                  (c) Copyright 2005-2010, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#define _DVK501_F020_EX_ 
 #define _PCF8591_
#include <c8051f020.h>
#include <../../../library/ws_clock.h>
#include <../../../library/ws_delay.h>
#include <../../../library/ws_iic_port.h>
#include <../../../library/ws_pcf8591.h>
#include <../../../library/ws_lcd_st7920_port.h>

void main(void)
{
	uchar *pGetDat,tmp = 0;

	WDTCN = 0xde;               // Disable watchdog timer
   	WDTCN = 0xad;
   	clock_external();			// Set oscillator in external,the clock is 16M
	delay_ms(100);
	Check_SDA();
	XBR2 = 0x40;                // Enable crossbar and weak pull-ups
	SPI_Init();
	st7920LcdInit();
	SMBus_Init();
	Enb_Interrupt();

	showLine(0,0,lcd_buffer," PCF8591 Example");
	showLine(0,1,lcd_buffer," AD value:");
	refreshLCD(lcd_buffer); 
	
	while(1)
	{
		PCF8591_getAD(MODE0,CHNL0,pGetDat);
		if(*pGetDat != tmp)
		{
			showLine(11,1,lcd_buffer,"0x%x2",*pGetDat);
			refreshLCD(lcd_buffer);
			tmp = *pGetDat;
		}
		delay_ms(50);
	}
}
