/********************************************************************************************************
*
* File                : MAX485.c
* Hardware Environment:	DVK501 && F020+ EX
* Build Environment   : Silicon LABs 3.42.00 20100913
* Version             : 
* By                  : Su Wei Feng
*
*                                  (c) Copyright 2005-2010, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#define _DVK501_F020_EX_ 

#include <c8051f020.h>              
#include <stdio.h>
#include <../../../library/ws_clock.h>
#include <../../../library/ws_delay.h>
#include <../../../library/ws_lcd_st7920_port.h>
#include <../../../library/ws_usart_port.h>

void main(void)
{
	uchar tmp = 0;
	WDTCN = 0xde;                       // Disable watchdog timer
   	WDTCN = 0xad;
   	clock_external();	                // Initialize oscillator
	XBR2 = 0x40;
	delay_ms(100);
	SPI_Init();
	st7920LcdInit();
	showLine(0,0,lcd_buffer,"MAX485 Example");
	showLine(0,1,lcd_buffer,"USART TX<->RX");
	showLine(0,2,lcd_buffer,"Data");
	refreshLCD(lcd_buffer);

	usartInit0();

	while(1)
	{
		putUsart(0,tmp);
		delay_ms(100);
		showLine(6,2,lcd_buffer,"0x%x2",getUsart(0));
		refreshLCD(lcd_buffer); 
		tmp++;
		delay_ms(1000);
	}
}
