/********************************************************************************************************
*
* File                : PCF8574.c
* Hardware Environment:	DVK501 && F020+ EX
* Build Environment   : Silicon LABs 3.42.00 20100913
* Version             : 
* By                  : Su Wei Feng
*
*                                  (c) Copyright 2005-2010, WaveShare
*                                       http://www.waveshare.net
*                                          All Rights Reserved
*
*********************************************************************************************************/

#define _DVK501_F020_EX_

#include <C8051F020.h>                
#include <../../../library/ws_clock.h>
#include <../../../library/ws_delay.h>
#include <../../../library/ws_iic_port.h>
#include <../../../library/ws_pcf8574.h>
#include <../../../library/ws_lcd_st7920_port.h>
void SMB_Read(void);


void main(void)
{
   	uchar wRdat;
	//uchar *rDdat;        

   	WDTCN = 0xde;                   // Disable watchdog timer
   	WDTCN = 0xad;
   	clock_external();               // Set oscillator in external,the clock is 16M
  	delay_ms(100);
   	Check_SDA();	
	XBR2 = 0x40;                	// Enable crossbar and weak pull-ups
	SPI_Init();
	st7920LcdInit();
   	SMBus_Init();
	Enb_Interrupt(); 

	showLine(0,0,lcd_buffer," PCF8574 Example");
	showLine(0,1,lcd_buffer," I2C->Parallel");
	showLine(0,2,lcd_buffer," Focus on LED");
	showLine(0,3,lcd_buffer," value");
	refreshLCD(lcd_buffer); 
	wRdat = 0;                  	// Output data counter
	
	/*Read_PCF8574(rDdat);  			// Read data
	showLine(8,3,lcd_buffer,"0x%x2",*rDdat);
	refreshLCD(lcd_buffer);*/
	
	while (1)
   	{
		Write_PCF8574(wRdat);		// Write data
		showLine(8,3,lcd_buffer,"0x%x2",wRdat);
		refreshLCD(lcd_buffer); 
      	wRdat++;
      	delay_ms(1000);
   	}
}
